import { TransactionBuilder, Instruction } from "@orca-so/common-sdk";
import { Context } from "./context";
import * as ixs from "./instructions";
export declare class Methods {
    ctx: Context;
    ix: Instruction | null | undefined;
    constructor(ctx: Context, ix?: Instruction);
    initializePlatform(params: ixs.InitializePlatformParams): Promise<this>;
    createProperty(params: ixs.CreatePropertyParams): Promise<this>;
    purchasePropertyToken(params: ixs.PurchasePropertyTokenParams): Promise<this>;
    claimPropertyToken(params: ixs.ClaimPropertyTokenParams): Promise<this>;
    updateProperty(params: ixs.UpdatePropertyParams): Promise<this>;
    withdrawToken(params: ixs.WithdrawTokenParams): Promise<this>;
    changeMintTokenPlatform(params: ixs.ChangeMintTokenPlatformParams): Promise<this>;
    toTx(): TransactionBuilder;
}
