import * as anchor from "@project-serum/anchor";
export declare const PLATFORM_STATE_SEED = "propeasy";
export declare const PROPERTY_STATE_SEED = "property";
export declare const LOCKER_SEED = "locker";
export interface PDAInfo {
    key: anchor.web3.PublicKey;
    bump: number;
}
export declare class PDA {
    readonly programId: anchor.web3.PublicKey;
    constructor(programId: anchor.web3.PublicKey);
    platform: () => PDAInfo;
    property: (propertyMintAccount: anchor.web3.PublicKey) => PDAInfo;
    locker: (user: anchor.web3.PublicKey, propertyState: anchor.web3.PublicKey) => PDAInfo;
}
